function D=diag(A,K)
% FUNCTION diag
% -- D=diag(A)
%      With A a N-by-m-by-n amat object, returns the N-by-m-by-n amat object
%      R such that, for all k in 1:N, R(k) is the matrix formed by extracting 
%      diagonal of A(k), and and setting all other elements to zero.
%  
% -- D=diag(A,K)
%     If the value of K is nonzero integer, the selection of elements of each 
%     A(k) matrix starts at an offset of K diagonals above or below the main
%     diagonal; above for positive K and below for negative K.
%
  if nargin==1, K=0;end
  [N,m,n]=size(A);
  d=min(m,n);
  D=amat(A);
  for i=1:d
    j=i+K;
    if j>=1 && j<=A.nc,D.values(:,i,j)=A.values(:,i,j);end
  end

end
